<?php
/**
 * Created by PhpStorm.
 * User: sscho
 * Date: 13/01/2018
 * Time: 19:45
 */

namespace Pmg\Includes;

/**************************
 *
 *  Maps
 *
 *************************/
class Functions
{
// function for the custom type
    public static function create_post_type_map()
    {
        // creating (registering) the custom type
        register_post_type('maps',
            // let's now add all the options for this post type
            array(
                'labels' => array(
                    'name' => __('Maps', 'pu-map-geo'),
                    /* This is the Title of the Group */
                    'singular_name' => __('Map', 'pu-map-geo'),
                    /* This is the individual type */
                    'all_items' => __('All maps', 'pu-map-geo'),
                    /* the all items menu item */
                    'add_new' => __('New map', 'pu-map-geo'),
                    /* The add new menu item */
                    'add_new_item' => __('Add new map', 'pu-map-geo'),
                    /* Add New Display Title */
                    'edit' => __('Edit', 'pu-map-geo'),
                    /* Edit Dialog */
                    'edit_item' => __('Edit map', 'pu-map-geo'),
                    /* Edit Display Title */
                    'new_item' => __('Mew map', 'pu-map-geo'),
                    /* New Display Title */
                    'view_item' => __('View map', 'pu-map-geo'),
                    /* View Display Title */
                    'search_items' => __('Find map', 'pu-map-geo'),
                    /* Search Custom Type Title */
                    'not_found' => __('No maps found in database', 'pu-map-geo'),
                    /* This displays if there are no entries yet */
                    'not_found_in_trash' => __('Nothing found in trash', 'pu-map-geo'),
                    /* This displays if there is nothing in the trash */
                    'parent_item_colon' => ''
                ),
                /* end of arrays */
                'description' => __('Maps constructed with open layers', 'pu-map-geo'),
                /* Custom Type Description */
                'public' => true,
                'publicly_queryable' => true,
                'exclude_from_search' => false,
                'show_ui' => true,
                'query_var' => true,
                'menu_position' => 9,
                /* this is what order you want it to appear in on the left hand side menu */
                'menu_icon' => plugins_url() . '/puddinq-map-geo/img/custom-post-icon.png',
                /* the icon for the custom post type menu */
                'rewrite' => array('slug' => 'map', 'with_front' => false),
                /* you can specify its url slug */
                'has_archive' => 'maps',
                /* you can rename the slug here */
                'capability_type' => 'post',
                'hierarchical' => true,
                /* the next one is important, it tells what's enabled in the post editor */
                'supports' => array(
                    'title',
                    'post-formats',
                    'editor',
                    'author',
                    'thumbnail',
                    'excerpt',
                    'trackbacks',
                    'custom-fields',
                    'comments',
                    'revisions',
                    'sticky'
                )
            ) /* end of options */
        ); /* end of register post type */

        /* this adds your post categories to your custom post type */
        //register_taxonomy_for_object_type( 'category', 'ongelukken' );
        /* this adds your post tags to your custom post type */
        //register_taxonomy_for_object_type( 'post_tag', 'ongelukken' );

    }

    public static function puddinq_map_geo_content_filter($content)
    {

        $layers = array(
            'Openstraatmap',
            'Perceel',
            'Kadaster',
            'Wegen',
            'gebouwen',
            'Buurten',
            'Stadsdelen',
            'Gemeentegrens',
            'Woonplaatsen',
            'Snelwegen',
            'snelheid'
        );

        $layers_out = '';

        for ($x = 0; $x < count($layers); $x++) {
            $layers_out .= "<li><label id=\"layer{$x}\" class=\"checkbox\" for=\"visible{$x}\">
                    <input id=\"visible{$x}\" class=\"visible mapcheckbox\" type=\"checkbox\"/> {$layers[$x]}
                </label>
             </li>";
        }

        if (!is_admin() && is_singular('maps')) {

            $pud_map_geo = Geo::pud_map_geo();

            $content .= <<<HTML
	    <div style="display: none" id="ol-long">{$pud_map_geo['latt']}</div><div style="display: none" id="ol-latt">{$pud_map_geo['long']}</div>
        <div class="wrapper">
    <div id="map" class="map">
        <div id="progress"></div>
        <div id="popup" class="ol-popup">
            <a href="#" id="popup-closer" class="ol-popup-closer"></a>
            <div id="popup-content"></div>
        </div>
        <ul class="map-check active" id="layer-list">
        </ul>
    </div>
            <footer id="footer">
            <button id="toggle-list" class="active">&#8779;</button>
            <button id="toggle-opacity">o</button>
            <a href="https://www.puddinq.com" title="puddinq.com">puddinq.com</a>
            <a id="image-download" download="map.png"></a>
            <button id="export-png" class="btn btn-default">&#x21e9;</button>
            <a id="share-link" href="whatsapp://send?text=http%3A%2F%2Fwww.puddinq.mobi" data-action="share/whatsapp/share" title="Deel de kaart met vergunningen en kadaster"><img src="https://www.puddinq.mobi/images/WhatsApp.png" title="WhatsApp logo" alt="Share with WhatsApp"></a>
        </footer>
    </div>

HTML;

        }

        return $content;
    }

}